<div class="container" style="">
      <div class="row" style="text-align:center;">
        <h1>
          {{ obraContratoActual.descripcion}}
        </h1>
      </div>
      <div class="row" style="padding-bottom:30px;">
        <div class="col-lg-6" ng-if="!images.length">
          <div class="input-group">
            <div class="form-group">
                <div  class="col-md-4 col-lg-12">
                  <!--h1>El shape no posee fotos.</h1-->
                  <img id="sin-foto" ng-src="/images/imagen_no_disponible.png" alt="..." class="img-thumbnail img-check"  style="width:304px;height:228px;">
                </div>
            </div>
          </div>
        </div>
        <div class="col-lg-6" ng-if="images.length">
          <div class="scrollit-table">
            <table class="table table-striped">
                  <thead>
                    <tr>
                      <th>Fotos</th>
                    </tr>
                  </thead>
                  <tbody>
                    <tr ng-repeat="foto in images">
                      <td>
                        <div class="input-group">
                          <div class="form-group">
                              <div  class="col-md-4 col-lg-12">
                                <input type="checkbox"  value="val1"  autocomplete="off" ng-model="foto.eliminar" ng-click="contadorEliminar(foto.eliminar)">
                                <img id="{{foto.id}}" ng-src="{{ foto.hash  | pictshare:'200x200' }}" alt="..." class="img-thumbnail img-check">
                              </div>
                          </div>
                        </div>
                      </td>
                    </tr>
                  </tbody>
                  </div>
            </table>
          </div>
          <button type="button" class="btn btn-danger btn-xs" ng-click="btnEliminarShapesSeleccionados()">
              <span class="glyphicon glyphicon-trash"></span> Eliminar fotos seleccionadas
          </button>
        </div>
      </div>
      <div class="row">
                  <div class="col-lg-6">
                      <div class="" style="margin-bottom: 40px">
                          <h2>Subir fotos</h2>
                          <p>Imagenes en cola: {{ uploader.queue.length }}</p>

                          <table class="table">
                              <thead>
                                  <tr>
                                      <th width="50%">Nombre</th>
                                      <th ng-show="uploader.isHTML5">Tamaño</th>
                                      <th>Acciones</th>
                                  </tr>
                              </thead>
                              <tbody>
                                  <tr ng-repeat="item in uploader.queue">
                                      <td>
                                          <strong>{{ item.file.name }}</strong>
                                          <div ng-show="uploader.isHTML5" ng-thumb="{ file: item._file, height: 100 }"></div>
                                      </td>
                                      <td ng-show="uploader.isHTML5" nowrap>{{ item.file.size/1024/1024|number:2 }} MB</td>
                                      <td nowrap>
                                          <button type="button" class="btn btn-danger btn-xs" ng-click="item.remove()">
                                              <span class="glyphicon glyphicon-trash"></span> Eliminar
                                          </button>
                                      </td>
                                  </tr>
                              </tbody>
                          </table>

                          <div>
                              <button type="button" class="btn btn-success btn-s" ng-click="uploader.uploadAll();reloadRoute()" ng-hide="!uploader.getNotUploadedItems().length">
                                  <span class="glyphicon glyphicon-upload"></span> Aceptar
                              </button>
                              <button type="button" class="btn btn-danger btn-s" ng-click="uploader.clearQueue()" ng-hide="!uploader.queue.length">
                                  <span class="glyphicon glyphicon-trash"></span> Cancelar
                              </button>
                          </div>

                      </div>
                      <div class="">

                          <h3>Agregar imagenes</h3>

                          <div ng-show="uploader.isHTML5">
                              <div  nv-file-drop="" uploader="uploader" options="{ url: '/foo' }">
                                  <div nv-file-over=""  uploader="uploader" over-class="another-file-over-class" class="well my-drop-zone">
                                      Arrastre una imagen aqui
                                  </div>
                              </div>
                          </div>
                          <input type="file" id="archivos" nv-file-select="" uploader="uploader"  multiple class="hidden" /><br/>
                          <label for="archivos" class="btn btn-primary">Selecciona una imagen</label>
                      </div>
                  </div>
          </div>

          <div class="modal fade"
               id="eliminarFotosModal"
               tabindex="-1"
               role="dialog"
               aria-labelledby="deleteModalLabel"
               aria-hidden="true">
            <div class="modal-dialog">
              <div class="modal-content">
                <div class="modal-header ui-draggable-handle">
                  <button type="button" class="close" data-dismiss="modal" aria-hidden="true"></button>
                  <span class="caption-subject font-red-sunglo bold uppercase">Se eliminaran {{cantidadAEliminar}} imagenes.</span>
                </div>
                <div class="modal-footer">
                  <div class="btn-group">
                    <button type="button" class="btn btn-danger" data-dismiss="modal">Cancelar</button>
                    <button type="submit" class="btn btn-primary" ng-click="eliminarFotos()">Continuar</button>
                  </div>
                </div>
              </div>
            </div>
          </div>

</div>
